/* Copyright (C) 2006 P.L. Lucas
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */


#include "install.h"
#include <string.h>

int main(int argn, char *argv[])
{
	Install install;
	
	install.qmake=install.getenv("QMAKE");
	install.install_path=install.getenv("DATADIR");
	install.bin_path=install.getenv("BINDIR");
	install.help_path=install.getenv("OCTAVEHELP");
	
	{
		int i=1;
		while(i<argn)
		{
			if(strcmp(argv[i],"--help")==0)
			{
				printf("%s\n",argv[0]);
				printf(
						"Starts install-tool. Options:\n"
						"--help Shows this help\n"
						"-qmake command Sets qmake command\n"
						"-qmake_parameters parameters Sets qmake paramaters\n"
						"-install_path path\n"
						"-bin_path path\n"
						"-help_path path\n"
				      );
				return 0;
			}
			else if(strcmp(argv[i],"-qmake")==0)
			{
				i++;
				install.qmake=argv[i];
			}
			else if(strcmp(argv[i],"-qmake_parameters")==0)
			{
				i++;
				install.qmake_parameters=argv[i];
			}
			else if(strcmp(argv[i],"-install_path")==0)
			{
				i++;
				install.install_path=argv[i];
			}
			else if(strcmp(argv[i],"-bin_path")==0)
			{
				i++;
				install.bin_path=argv[i];
			}
			else if(strcmp(argv[i],"-help_path")==0)
			{
				i++;
				install.help_path=argv[i];
			}

			i++;
		}
	}
	
	install.build_scripts();
	
}
